Subscription Manager e Fedora 29

1. Subscription Manager e Fedora 29

Érico Teixeira
ericomtx2

(usa Outra)

Enviado em 04/11/2018 - 09:01h

Bom Dia
Eu estou com o seguinte problema par utilizar o subscription manager no Fedora:
----------------
[root@fedora ~]# subscription-manager
Traceback (most recent call last):
File "/usr/lib64/python3.7/site-packages/subscription_manager/identity.py", line 140, in reload
self.consumer = self._get_consumer_identity()
File "/usr/lib64/python3.7/site-packages/subscription_manager/identity.py", line 164, in _get_consumer_identity
return ConsumerIdentity.read()
File "/usr/lib64/python3.7/site-packages/subscription_manager/identity.py", line 53, in read
with open(cls.keypath()) as key_file:
FileNotFoundError: [Errno 2] No such file or directory: '/etc/pki/consumer/key.pem'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/sbin/subscription-manager", line 11, in <module>
load_entry_point('subscription-manager==1.23.3', 'console_scripts', 'subscription-manager')()
File "/usr/lib64/python3.7/site-packages/subscription_manager/scripts/subscription_manager.py", line 85, in main
return managercli.ManagerCLI().main()
File "/usr/lib64/python3.7/site-packages/subscription_manager/managercli.py", line 2838, in __init__
CLI.__init__(self, command_classes=commands)
File "/usr/lib64/python3.7/site-packages/subscription_manager/cli.py", line 101, in __init__
cmd = clazz()
File "/usr/lib64/python3.7/site-packages/subscription_manager/managercli.py", line 1056, in __init__
super(RegisterCommand, self).__init__("register", shortdesc, True)
File "/usr/lib64/python3.7/site-packages/subscription_manager/managercli.py", line 529, in __init__
super(UserPassCommand, self).__init__(name, shortdesc, primary)
File "/usr/lib64/python3.7/site-packages/subscription_manager/managercli.py", line 257, in __init__
self.identity = inj.require(inj.IDENTITY)
File "/usr/lib64/python3.7/site-packages/subscription_manager/injection.py", line 106, in require
return FEATURES.require(feature, *args, **kwargs)
File "/usr/lib64/python3.7/site-packages/subscription_manager/injection.py", line 80, in require
self.providers[feature] = provider(*args, **kwargs)
File "/usr/lib64/python3.7/site-packages/subscription_manager/identity.py", line 133, in __init__
self.reload()
File "/usr/lib64/python3.7/site-packages/subscription_manager/identity.py", line 147, in reload
if isinstance(err, IOError) and err.errno == os.errno.ENOENT:
AttributeError: module 'os' has no attribute 'errno'
[root@fedora ~]#
-----------------
É preciso criar esse arquivo manualmente? => '/etc/pki/consumer/key.pem'

Obrigado
Érico




  






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts